# $Revision: 1.1 $, $Date: 2005/10/24 22:14:08 $
Summary:	A library to check account numbers and bank codes of German banks
Summary(pl):	Biblioteka do sprawdzania numerw kont i kodw bankowych niemieckich bankw
Name:		ktoblzcheck
Version:	1.7
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/ktoblzcheck/%{name}-%{version}.tar.gz
# Source0-md5:	a538e6c860a289aa1a9615993a21692b
URL:		http://ktoblzcheck.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRequires:	python-devel >= 2.3
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KtoBLZCheck is a library to check account numbers and bank codes of
German banks.

Both a library for other programs as well as a short command-line tool
is available. It is possible to check pairs of account numbers and
bank codes (BLZ) of German banks, and to map bank codes (BLZ) to the
clear-text name and location of the bank.

%description -l pl
KtoBLZCheck to biblioteka do sprawdzania numerw kont i kodw
bankowych niemieckich bankw.

Dostpna jest zarwno biblioteka jak i proste narzdzie dziaajce z
linii polece. Pozwalaj na sprawdzenie par numerw kont i kodw
bankowych (BLZ) niemieckich bankw oraz na zamian kodw bankowych
(BLZ) na tekstow nazw oraz lokalizacj banku.

%package devel
Summary:	Header files for KtoBLZCheck library
Summary(pl):	Pliki nagwkowe biblioteki KtoBLZCheck
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for KtoBLZCheck library.

%description devel -l pl
Pliki nagwkowe biblioteki KtoBLZCheck.

%package static
Summary:	Static KtoBLZCheck library
Summary(pl):	Statyczna biblioteka KtoBLZCheck
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static KtoBLZCheck library.

%description static -l pl
Statyczna biblioteka KtoBLZCheck.

%package -n python-ktoblzcheck
Summary:	Python binding for KtoBLZCheck library
Summary(pl):	Wizanie Pythona dla biblioteki KtoBLZCheck
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-ctypes

%description -n python-ktoblzcheck
Python binding for KtoBLZCheck library.

%description -n python-ktoblzcheck -l pl
Wizanie Pythona dla biblioteki KtoBLZCheck.

%prep
%setup -q

%build
%configure \
	--enable-python \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/ktoblzcheck.py

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ktoblzcheck
%attr(755,root,root) %{_libdir}/libktoblzcheck.so.*.*.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.txt
%attr(755,root,root) %{_datadir}/%{name}/*.pl
%{_mandir}/man1/ktoblzcheck.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libktoblzcheck.so
%{_libdir}/libktoblzcheck.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libktoblzcheck.a

%files -n python-ktoblzcheck
%defattr(644,root,root,755)
%{py_sitescriptdir}/ktoblzcheck.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ktoblzcheck.spec,v $
Revision 1.1  2005/10/24 22:14:08  qboosh
- new
